#ifndef TIMESWITCHER_H
#define TIMESWITCHER_H

#include <QObject>

#include "device/DeviceBase.h"
#include "protocol/TimeSwitcherProtocolBM.h"

class TimeSwitcher : public DeviceBase
{
    Q_OBJECT
public:
    explicit TimeSwitcher(QObject *parent = nullptr);
    ~TimeSwitcher();

    void afterFramePhase(DeviceFrameBaseDto * frameDto);

signals:
    void sendDataToDraw(DeviceFrameBaseDto * frameData);

public slots:
    void dataReceivedHandler(QByteArray data);

};

#endif // TIMESWITCHER_H
